import { axios } from '@archser/layout-ui'
import myaxios from 'axios'
const SERVICE_URL = '/aserver'

//获取操作文件列表
export const getList = (params) => {
  return axios.request({
    url: SERVICE_URL + '/helper/getList',
    params:params,//LiuKexin 20201123 修改传递参数的格式
    method: 'post'
  })
}
export const edit = (param) => {
  return axios.request({
    url: SERVICE_URL + '/helper/edit',
    data: param,
    method: 'post'
  })
}

export const remove = (ids) => {
  return axios.request({
    url: SERVICE_URL + '/helper/remove',
    data: {
      ids
    },
    method: 'post'
  })
}


export const add = param => {
  return myaxios({
    url: SERVICE_URL + '/helper/add',
    data: param,
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}